#version 330 core

in vec4 fPosition;
in vec3 fNormals;
in vec2 fTexCoords;

layout (location = 0) out vec4 color1;
layout (location = 1) out vec4 color2;

uniform float alpha;

uniform sampler2D tex1;
uniform sampler2D tex2;

layout (std140) uniform Material {
	vec4 diffuse;
	vec4 ambient;
	vec4 specular;
	vec4 emissive;
	float shininess;
	int texCount;
} material;

uniform sampler2D meshTexture;

void main()
{
	color1 = texture2D(tex1, fTexCoords.st);
	color2 = texture2D(tex2, fTexCoords.st);
}
