#version 330 core

layout(location = 0) in vec3 vert;

out vec4 fPosition;
out vec2 fTexCoords;
out vec3 eyeToFragment;
out vec4 nearPlane;
out vec4 spherePosition;

uniform int width;
uniform int height;

uniform vec3 cameraPosition;

uniform mat4 P;
uniform mat4 V;
uniform mat4 Vinv;


void main()
{
	float r = 128;
	// we need to setup the near view frustrum here
	// it has goes from (-width/2, width/2) and (-height/2, height/2)
	// and starts at znear!
	//vec4 nearPlane = vec4(vert, 1.0) * vec4(width/2, height/2, 0.1, 1.0);
	nearPlane = vec4(vert, 1.0);
	nearPlane.z = 0.0;
	nearPlane = Vinv * inverse(P) * nearPlane;
	nearPlane = nearPlane / nearPlane.w;

	eyeToFragment = normalize(nearPlane.xyz - cameraPosition);
	//eyeToFragment = nearPlane.xyz;

	gl_Position = vec4(vert, 1.0);
	fTexCoords = (vert.xy + 1) / 2.0; // 0-1
}
