#version 330 core

in vec2 fTexCoords;

out vec4 color;

uniform int width;
uniform int height;
uniform sampler2D image;

uniform float offset[5] = float[] ( 0.0, 1.3846153846, 3.2307692308 );
uniform float weight[5] = float[] ( 0.2270270270, 0.3162162162, 0.0702702703 );

void main(void)
{
	color = texture2D(color, fTexCoords.st / vec2(width, height)) * weight[0];
	for (int i = 1; i < 3; i++) {
		color += texture2D(color, fTexCoords.st + vec2(0.0, offset[i]) / vec2(width, height)) * weight[i];
		color += texture2D(color, fTexCoords.st - vec2(0.0, offset[i]) / vec2(width, height)) * weight[i];
	}
}
