#version 330 core

in vec4 fPosition;
in vec2 fTexCoords;

layout(location = 0) out vec4 color;
layout(location = 1) out vec4 glow;

uniform float alpha;

layout (std140) uniform Material {
	vec4 diffuse;
	vec4 ambient;
	vec4 specular;
	vec4 emissive;
	float shininess;
	int texCount;
} material;

uniform sampler2D particleTex;

void main()
{
	vec4 fragColor = vec4(0.0);
	fragColor = texture2D(particleTex, fTexCoords.st);
	if (fragColor.a == 0) {
		discard;
		return;
	}
	color = fragColor;
	glow = vec4(vec3(0), 1.0);
}
