#version 330 core

layout(location = 0) in vec3 vert;
layout(location = 1) in vec3 normals;
layout(location = 2) in vec2 texCoords;

out vec4 fPosition;
out vec3 fNormals;
out vec2 fTexCoords;

uniform mat4 M;
uniform mat4 Minv;
uniform mat4 V;
uniform mat4 Vinv;
uniform mat4 P;

void main()
{

	gl_Position = P * V * M * vec4(vert, 1.0);
	fNormals = normalize(vec3(transpose(Minv * Vinv) * vec4(normals, 1.0)));
	fTexCoords = texCoords;
	fPosition = M * vec4(vert, 1.0);

}
