#version 330 core

layout(location = 0) in vec3 vert;
layout(location = 1) in vec3 normals;
layout(location = 2) in vec2 texCoords;
layout(location = 5) in vec3 color;

out vec4 fPosition;
out vec3 fNormals;
out vec2 fTexCoords;
out vec3 fLightDirection;
out vec4 shadowPosition;
out vec3 fColor;

uniform mat4 M;
uniform mat4 Minv;
uniform mat4 V;
uniform mat4 Vinv;
uniform mat4 P;
uniform mat4 shadowMatrix;

uniform int shadowMapWidth;
uniform int shadowMapHeight;
uniform vec3 lightDirection;
uniform int useColor;

void main()
{
	gl_Position = P * V * M * vec4(vert, 1.0);
	fNormals = normalize(vec3(transpose(Minv * Vinv) * vec4(normals, 0.0)));
	fTexCoords = texCoords;
	fPosition = M * vec4(vert, 1.0);
	fLightDirection = -vec3(V * vec4(lightDirection, 0.0));
	shadowPosition = shadowMatrix * M * vec4(vert, 1.0);
	fColor = color;
}
